[**@rxap/components v19.1.0-dev.1**](../README.md)

***

[@rxap/components](../globals.md) / CopyToClipboardButtonComponent

# Class: CopyToClipboardButtonComponent

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:29](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L29)

## Constructors

### new CopyToClipboardButtonComponent()

> **new CopyToClipboardButtonComponent**(): [`CopyToClipboardButtonComponent`](CopyToClipboardButtonComponent.md)

#### Returns

[`CopyToClipboardButtonComponent`](CopyToClipboardButtonComponent.md)

## Properties

### value

> `readonly` **value**: `InputSignal`\<`string`\>

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:30](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L30)

## Methods

### copied()

> **copied**(): `void`

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:34](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L34)

#### Returns

`void`
